﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Data;

namespace RadCalendarFirstLook_WPF
{
    public class EventToStringConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var eventsCollection = values[0] as ObservableCollection<Event>;
            var date = Int32.Parse((string)values[1]);

            var eventsOnDate = eventsCollection.Where(e => e.Date.Day == date);
            var resultString = string.Empty;

            foreach (var eve in eventsOnDate)
            {
                resultString += eve.Title + "\n";
            }
            return resultString.TrimEnd();
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
