﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadCalendarFirstLook_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ViewModel ViewModel
        {
            get
            {
                return this.LayoutRoot.DataContext as ViewModel;
            }
        }

        public MainWindow()
        {
            InitializeComponent();
        }

        private void calendar_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var calendar = sender as RadCalendar;

            if (calendar.SelectedDates.Count > 0)
            {
                this.ViewModel.FilterByDate(calendar.SelectedDates);
                this.EmptyContent.Visibility = System.Windows.Visibility.Collapsed;
            }
            else
            {
                this.ViewModel.FilteredEventsCollection.Clear();
                this.EmptyContent.Visibility = System.Windows.Visibility.Visible;
            }
        }
    }
}
